in scala.actors.distributed
class RemoteActor

`class` RemoteActor
  `extends` scala.actors.multi.Process
  `with` scala.ScalaObject

author:
  Philipp Haller

Constructor Summary
| `def` this

Def Summary
| `def` alive ( s : scala.actors.distributed.ServiceName ) : scala.Unit
`override` | `def` die : scala.Unit
`override` | `def` die ( reason : scala.Symbol ) : scala.Unit
| `def` disconnectNode ( node : scala.actors.distributed.Node ) : scala.Unit
`override` | `def` exit ( reason : scala.Symbol ) : scala.Unit
`override` | `def` forwardExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit
| `def` link ( pid : scala.actors.distributed.RemotePid ) : scala.Unit
| `def` monitorNode ( node : scala.actors.distributed.Node , cond : scala.Boolean ) : scala.Unit
| `def` name ( node : scala.actors.distributed.Node , sym : scala.Symbol ) : scala.actors.distributed.Name
| `def` node ( pid : scala.actors.distributed.RemotePid ) : scala.actors.distributed.Node
| `def` node : scala.actors.distributed.Node
| `def` nodes : scala.List[scala.actors.distributed.Node]
`override` | `def` processFlag ( flag : scala.Symbol , set : scala.Boolean ) : scala.Unit
`override` | `def` receive ( f : scala.PartialFunction[scala.Any,scala.Unit] ) : scala.All
| `def` register ( name : scala.Symbol , a : scala.actors.distributed.RemoteActor ) : scala.Unit
| `def` register ( name : scala.Symbol , pid : scala.actors.distributed.RemotePid ) : scala.Unit
| `def` self : scala.actors.distributed.RemotePid
| `def` serialize ( index : java.lang.String , rep : (scala.actors.distributed.Serializer) => java.lang.Object ) : scala.Unit
| `def` spawn ( a : scala.actors.distributed.RemoteActor ) : scala.actors.distributed.RemotePid
| `def` spawn ( fun : (scala.actors.distributed.RemoteActor) => scala.Unit ) : scala.actors.distributed.RemotePid
| `def` spawn ( node : scala.actors.distributed.Node , a : scala.actors.distributed.RemoteActor ) : scala.Unit
| `def` spawn ( node : scala.actors.distributed.Node , name : java.lang.String ) : scala.actors.distributed.RemotePid
| `def` spawnLink ( fun : (scala.actors.distributed.RemoteActor) => scala.Unit ) : scala.actors.distributed.RemotePid
| `def` unlink ( pid : scala.actors.distributed.RemotePid ) : scala.Unit

Constructor Detail

`def` this

Def Detail

`def` alive ( s : scala.actors.distributed.ServiceName ) : scala.Unit

override `def` die : scala.Unit

override `def` die ( reason : scala.Symbol ) : scala.Unit

`def` disconnectNode ( node : scala.actors.distributed.Node ) : scala.Unit

override `def` exit ( reason : scala.Symbol ) : scala.Unit

override `def` forwardExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit

`def` link ( pid : scala.actors.distributed.RemotePid ) : scala.Unit

`def` monitorNode ( node : scala.actors.distributed.Node , cond : scala.Boolean ) : scala.Unit

`def` name ( node : scala.actors.distributed.Node , sym : scala.Symbol ) : scala.actors.distributed.Name

`def` node ( pid : scala.actors.distributed.RemotePid ) : scala.actors.distributed.Node

`def` node : scala.actors.distributed.Node

`def` nodes : scala.List[scala.actors.distributed.Node]

override `def` processFlag ( flag : scala.Symbol , set : scala.Boolean ) : scala.Unit

override `def` receive ( f : scala.PartialFunction[scala.Any,scala.Unit] ) : scala.All

`def` register ( name : scala.Symbol , a : scala.actors.distributed.RemoteActor ) : scala.Unit

`def` register ( name : scala.Symbol , pid : scala.actors.distributed.RemotePid ) : scala.Unit

`def` self : scala.actors.distributed.RemotePid

`def` serialize ( index : java.lang.String , rep : (scala.actors.distributed.Serializer) => java.lang.Object ) : scala.Unit

`def` spawn ( a : scala.actors.distributed.RemoteActor ) : scala.actors.distributed.RemotePid

`def` spawn ( fun : (scala.actors.distributed.RemoteActor) => scala.Unit ) : scala.actors.distributed.RemotePid

`def` spawn ( node : scala.actors.distributed.Node , a : scala.actors.distributed.RemoteActor ) : scala.Unit

`def` spawn ( node : scala.actors.distributed.Node , name : java.lang.String ) : scala.actors.distributed.RemotePid

`def` spawnLink ( fun : (scala.actors.distributed.RemoteActor) => scala.Unit ) : scala.actors.distributed.RemotePid

`def` unlink ( pid : scala.actors.distributed.RemotePid ) : scala.Unit